#
# spec file for package scim-uim
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-uim
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  scim-devel
BuildRequires:  uim-devel
Version:        0.2.0
Release:        225.29
# Provides:       locale(scim:ja)
Url:            http://www.scim-im.org/
Source0:        http://mesh.dl.sourceforge.net/sourceforge/scim/scim-uim-0.2.0.tar.bz2
Patch0:         commit-when-focus-out.patch
Patch1:         missing-includes.patch
Patch2:         scim-uim-1.5.6-build-fixes.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        UIM Input Method Engine for SCIM
License:        GPL-2.0+
Group:          System/I18n/Japanese

%description
UIM Input Method Engine for SCIM.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
libtoolize --force
autoreconf --force --install --verbose
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
            --disable-static \
	    --enable-debug
make %{?jobs:-j %jobs}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/*/IMEngine/uim.*a
# %find_lang scim-uim

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/scim-1.0
%{_datadir}/scim/icons

%changelog
* Tue Jun 12 2012 tiwai@suse.de
- remove locale provides for avoiding automatic installation
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Jul  7 2009 tiwai@suse.de
- fix build with uim-1.5.6
- minor cleanup of spec file
* Thu Nov  8 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Fri Aug  3 2007 mfabian@suse.de
- update to 0.2.0:
  • Replace scim-uim's icon with uim's one.
  • Don't show the uim's im-list button.
  • Now scim-uim requires uim-1.1.0 or later.
  • Follow uim's new property mechanism (since uim-1.1.0).
  • Remove surrounding text functions completely.
* Thu Oct 12 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
* Mon Jul 17 2006 mfabian@suse.de
- add "#!BuildIgnore: NX" to make it build for the
  xorg7-SUSE_Factory in the openSUSE build service.
* Fri Feb 24 2006 zsu@suse.de
- add Provides: locale(scim:ja)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 zsu@suse.de
- Add AC_SUBST(LIBTOOL_EXPORT_OPTIONS) in configure.ac,in order to
  expand it correctly in Makefile.
* Mon Aug  8 2005 mfabian@suse.de
- update to 0.1.4
  (supports surrounding text feature and therefore requires
  uim 0.4.8).
* Thu Aug  4 2005 mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Fri Jul 29 2005 mfabian@suse.de
- use RPM_OPT_FLAGS.
* Fri Sep  3 2004 mfabian@suse.de
- update to 0.1.3.
* Mon Aug 16 2004 mfabian@suse.de
- update to 0.1.2.
* Sat Aug 14 2004 mfabian@suse.de
- remove superfluous stuff from "# neededforbuild".
* Sat Aug 14 2004 mfabian@suse.de
- new package: scim-uim, version 0.1.1.
